---
el: .teaser--event
title: Teaser Event
---

__Variables: (same form card)__
* modifier_classes: [string] Classes to modify the default component styling.
* title: [string] Title of the card.
* header_level: [string] Set the level of herder <h?> tag for card
* url: [string] URL of the card.
* author_name:  [string] Author name.
* author_link:  [string] URL for the author link.
* show_hover: [boolean] to show outline and shadow on hover
* date: [string] Date of the card.
* date_format: [string] Choose the date format used for presentation.
    * long-date
    * long-datetime
    * medium-date
    * medium-datetime
    * medium-date-short-month
    * short-date
    * short-datetime
* sources: [string] URL for the srcset of picture tag inside of responsive-image.
* img_element: [string] Url to source of fall back image.
* alt: [string] Alt text to the image used in the picture tag or fallback image.
* content: [string] Content of the card.  
* tags: [array] List of taxonomy tags
    * type: [string] Type of the tag, it will add class ".tag--type".
    * size: [string] Size of the tag, it will add class ".tag--size"
    * url: [string] URL of the tag.
    * title: [string] Title of the tag. 